TMF621 v4 Trouble Ticket Management (Outbound)

POST Event on create trouble ticket.

POST /notification/troubleTicketCreateEvent

Security: clientIdEnforcement.

Client listener for receiving the notification TroubleTicketCreateEvent. This endpoint handles notifications when new tickets are created in the system.

Request body

Media type: application/json. Schema: array of object.

Array of object.

  • entityId (string)
    Example: 001xx000003GavHAAS.
  • entityName (string)
    Example: Case.
  • eventId (string)
    Example: 0001ade9-3f74-0b99-dbc4-42e73424b774-1.
  • commitTimestamp (number)
    Example: 1739268701178.
  • commitNumber (number)
    Example: 123.
  • correlationId (string)
    Example: 0001ade9-3f74-0b99-dbc4-42e73424b77.
  • changeEventType (string)
    Example: Update.
  • enrichedFields (object)
    • CaseNumber (string)
      Example: 00001510.
  • changedFields (object)

    Example

    field1: "value1"
    field2: "value2"

Example

[
  {
    "entityId": "5nDLT000000457Z2AQ",
    "entityName": "CaseTroubleTicket",
    "eventId": "00000e62-c812-cc80-4e71-49c0cf3745e8_1",
    "commitTimestamp": 1751271472000,
    "commitNumber": 1751271472938983400,
    "correlationId": "00000e62-c812-cc80-4e71-49c0cf3745e8",
    "changedFields": {
      "LastModifiedDate": "Mon Jun 30 08:17:52 GMT 2025",
      "CreatedById": "005LT000005J3vNYAS",
      "ExternalId": "External ID 1722349831244",
      "CreatedDate": "Mon Jun 30 08:17:52 GMT 2025",
      "CaseId": "500LT00000BtCNBYA3",
      "Severity": "Critical",
      "LastModifiedById": "005LT000005J3vNYAS",
      "Name": "MN-000000012"
    },
    "changeEventType": "Create",
    "enrichedFields": {
      "Case.CaseNumber": "00001014"
    }
  }
]

Responses

  • 207 Ticket creation event successfully processed

    Media type: application/json. Schema: array of object.

    Array of object.

    • entityId (string, required)
      Example: 00001161.
    • message (string, required)
      Example: Notification Sent Successfully.

    Example

    [
      {
      "entityId" : "00001161",
      "message" : "Notification Sent Successfully"
      },
      {
      "entityId" : "068Kj00000TKdMmIAL",
      "message" : "Invalid Entity Name"
      }
    ]
  • 400 Bad request

    Media type: application/json. Schema: any.

    Type: any.

    Example

    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "400",
      "reason": "string",
      "message": "Bad Request",
      "status": "string",
      "referenceError": "string"
    }
  • 401 Unauthorized

    Media type: application/json. Schema: any.

    Type: any.

    Example

    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "401",
      "reason": "string",
      "message": "Unauthorized",
      "status": "string",
      "referenceError": "string"
    }
  • 403 Forbidden

    Media type: application/json. Schema: any.

    Type: any.

    Example

    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "403",
      "reason": "string",
      "message": "Forbidden",
      "status": "string",
      "referenceError": "string"
    }
  • 404 Resource not found

    Media type: application/json. Schema: any.

    Type: any.

    Example

    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "404",
      "reason": "string",
      "message": "Not Found",
      "status": "string",
      "referenceError": "string"
    }
  • 405 Method not allowed

    Media type: application/json. Schema: any.

    Type: any.

    Example

    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "405",
      "reason": "string",
      "message": "Method Not Allowed",
      "status": "string",
      "referenceError": "string"
    }
  • 500 Internal server error

    Media type: application/json. Schema: any.

    Type: any.

    Example

    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "500",
      "reason": "string",
      "message": "Internal Server Error",
      "status": "string",
      "referenceError": "string"
    }
  • 501 Not Implemented

    Media type: application/json. Schema: any.

    Type: any.

    Example

    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "501",
      "reason": "string",
      "message": "Not Implemented",
      "status": "string",
      "referenceError": "string"
    }
  • 503 Service Unavailable

    Media type: application/json. Schema: any.

    Type: any.

    Example

    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "503",
      "reason": "string",
      "message": "Service Unavailable",
      "status": "string",
      "referenceError": "string"
    }
  • 200

    Headers:

    • X-Ratelimit-Remaining (number, required) The amount of available quota.
      Example: 5.
    • X-Ratelimit-Limit (number, required) The maximum available requests per window.
      Example: 10.
    • X-Ratelimit-Reset (number, required) The remaining time, in milliseconds, until a new window starts.
      Example: 3000.
  • 201

    Headers:

    • X-Ratelimit-Remaining (number, required) The amount of available quota
      Example: 5.
    • X-Ratelimit-Limit (number, required) The maximum available requests per window
      Example: 10.
    • X-Ratelimit-Reset (number, required) The remaining time, in milliseconds, until a new window starts.
      Example: 3000.